ERROR Compiling Perl 5.000 on Solaris 2.3 
Author Message
 ERROR Compiling Perl 5.000 on Solaris 2.3

I didn't succeed in compiling Perl 5.000 on Solaris 2.3, I got the following:

============================================================
---> ./Configure -d
....................................
Finding dependencies for doio.o.
"/usr/include/unistd.h", line 161: warning: argument mismatch
....................................

---> make
....................................
`sh  cflags libperl.a dump.o` dump.c
          CCCMD =  gcc -c  -O  
In file included from perl.h:120,
                 from dump.c:16:
/opt/gnu/lib/gcc-lib/sparc-sun-solaris2/2.5.6/include/string.h:30: warning: conflicting types for built-in function `memcpy'
....................................
`sh  cflags libperl.a util.o` util.c
          CCCMD =  gcc -c  -O  
In file included from util.c:23:
/opt/gnu/lib/gcc-lib/sparc-sun-solaris2/2.5.6/include/unistd.h:161: arguments given to macro `pause'
make: *** [util.o] Error 1
============================================================

All this worked fine on Sunos 4.1.2.
It must be something very simple but I didn't find out .
(I could correct this error but I got then another one farther)

P.S. Please excuse me for my bad English



Mon, 28 Apr 1997 21:21:35 GMT  
 
 [ 1 post ] 

 Relevant Pages 

1. ERROR Compiling perl 5.00 for Solaris 2.3

2. Perl 5.001 compile error on Solaris 2.3

3. Perl Compile on Solaris 2.3?

4. Q: Perl compile on Solaris 2.3

5. Compiling Perl on Solaris 2.3

6. Compile Perl under Solaris 2.3

7. Compiling Perl 4.036 under Solaris 2.3 using gcc2.5.8

8. Link error for perl-4.036 on Solaris 2.3

9. make perl 4or5 errors HELP -using solaris 2.3

10. ?: Compiling tkperl into Perl5 under Solaris 2.3

11. Compiling curseperl under Solaris 2.3

12. perl5alpha12 fails to compile under Solaris 2.3

 

 
Powered by phpBB® Forum Software